Database.HaskellDB.Query

# Data and class declarations

data Rel r

data Attr f a

data Table r

data Query a

data Expr a

data OrderExpr

class ToPrimExprs r

class ConstantRecord r cr

class ShowConstant a

class ExprC e

class ProjectExpr e

class ProjectRec r er

class InsertRec r er

data ExprAggr a

data ExprDefault a

copy

copyAll

class RelToRec a

# Operators

(.==.)

(.<>.)

(.<.)

(.<=.)

(.>.)

(.>=.)

(.&&.)

(.||.)

(.*.)

(./.)

(.+.)

(.-.)

(.%.)

(.++.)

(<<)

(<<-)

# Function declarations

project

restrict

table

unique

union

intersect

divide

minus

_not

like

_in

cat

_length

isNull

notNull

fromNull

fromVal

constant

constVal

constNull

constExpr

param

namedParam

class Args a

func

cast

toStr

coerce

select

count

_sum

_max

_min

avg

literal

stddev

stddevP

variance

varianceP

asc

desc

order

top

_case

_default

# Internals

runQuery

runQueryRel

unQuery

subQuery

attribute

attributeName

tableName

baseTable

emptyTable

exprs

labels

tableRec